# This file created by conda-build 3.12.1
# meta.yaml template originally from:
# C:\ci\containers\0000145nm63\tmp\build\80754af9\rsync-recipes\jupyterlab-0.33.11-python_3.6-on-winbuilder, last modified Tue Aug 14 12:03:37 2018
# ------------------------------------------------

package:
    name: jupyterlab
    version: 0.33.11
source:
    fn: jupyterlab-0.33.11.tar.gz
    sha256: 897125e4e67d1d4f1549fb703d067e666b217f1d77e95cb4e946c470d91ea575
    url: https://pypi.io/packages/source/j/jupyterlab/jupyterlab-0.33.11.tar.gz
build:
    entry_points:
        - jupyter-lab = jupyterlab.labapp:main
        - jupyter-labextension = jupyterlab.labextensions:main
        - jupyter-labhub = jupyterlab.labhubapp:main
    noarch: false
    number: '0'
    script: python -m pip install --no-deps --ignore-installed --install-option="--skip-npm"
        --verbose .
    string: py36_0
requirements:
    host:
        - certifi 2018.8.13 py36_0
        - pip 10.0.1 py36_0
        - python 3.6.6 hea74fb7_0
        - setuptools 40.0.0 py36_0
        - vc 14.1 h0510ff6_3
        - vs2015_runtime 15.5.2 3
        - wheel 0.31.1 py36_0
        - wincertstore 0.2 py36h7fe50ca_0
    run:
        - jupyterlab_launcher >=0.11.2,<0.12.0
        - notebook >=4.3.1
        - python >=3.6,<3.7.0a0
    run_constrained:
        - nodejs <10
test:
    commands:
        - jupyter lab --version
        - jlpm --version
        - jupyter labextension list
        - jupyter lab path
        - jupyter lab build
        - jupyter lab clean
    imports:
        - jupyterlab
    requires:
        - nodejs <10
app:
    entry: jupyter lab
    icon: icon.png
    summary: JupyterLab PRE-ALPHA
    type: desk
about:
    description: 'JupyterLab is the next-generation user interface for Project Jupyter.
        It offers all the familiar building blocks of the classic Jupyter Notebook
        (notebook, terminal, text editor, file browser, rich outputs, etc.) in a flexible
        and powerful user inteface. Eventually, JupyterLab will replace the classic
        Jupyter Notebook.

        JupyterLab can be extended using extensions that are npm packages and use
        our public APIs. You can search for the GitHub topic or npm keyword `jupyterlab-extension`
        to find extensions. To learn more about extensions, see our user documentation.

        JupyterLab is suitable for general usage. For JupyterLab extension developers,
        the extension APIs will continue to evolve.

        '
    dev_url: https://github.com/jupyterlab/jupyterlab
    doc_source_url: https://github.com/jupyterlab/jupyterlab/tree/master/docs
    doc_url: https://jupyterlab.readthedocs.io
    home: https://github.com/jupyterlab/jupyterlab
    license: BSD-3-Clause
    license_family: BSD
    license_file: LICENSE
    summary: 'An extensible environment for interactive and reproducible computing,
        based on the Jupyter Notebook and Architecture.

        '
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - afshin
        - blink1073
        - ellisonbg
        - ian-r-rose
        - jasongrout
        - jochym
